---
page_source: https://juspay.io/in/docs/payment-page-enterprise/react-native/mandates/list-mandate-api
page_title: List Mandate API
---

## API Version: default


# List Mandate API



A merchant can call this API to get the list of all the mandates that a customer has with them. The list will have the revoked, expired and failed mandates too.## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/mandates

- Production: https://api.juspay.in/customers/{customer_id}/mandates

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request - Card Code Snippet:

```request - card
curl GET 'https://api.juspay.in/customers/cst_lz7zmpemoo5okgav/mandates' \
-H 'Authorization: Basic <Base-64 Key>' \
-H 'x-routing-id: customer_1122'\
-H 'version:2023-06-30
```

### Sample Response:

#### Card:
```json
{
  "total": 2,
  "offset": 0,
  "object": "list",
  "count": 2,
  "list": [
    {
      "status": "ACTIVE",
      "payment_info": {
        "payment_method_type": "CARD",
        "payment_method": "MASTERCARD",
        "card": {
          "using_saved_card": true,
          "saved_to_locker": true,
          "name_on_card": "Shyam Sundar",
          "expiry_year": "2025",
          "expiry_month": "12",
          "card_type": "CREDIT",
          "card_issuer": "ITAU Bank",
          "card_isin": "545721",
          "card_brand": "MASTERCARD"
        },
        "auth_type": "THREE_DS"
      },
      "max_amount": 1000,
      "mandate_type": "MANDATE",
      "mandate_id": "ns3UFqGKHL*****XDE67",
      "mandate_debit_token": "tkn_98042ee*****1fdfbc",
      "currency": "BRL"
    }
  ]
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cst_lz7zmpemoo5okgav
- Tags: String, Mandatory
## API Responses:
### 200:

#### UPI:
- Value:
  - **Total**:
    - Description: Total Mandate records set against customer_id
    - Tags: Integer
  - **Offset**:
    - Description: Number of Mandate records to be skipped while fetching the list of Mandate records against a customer_idDefault value is 0
    - Tags: Integer
  - **Object**:
    - Description: “list”
    - Tags: String
  - **List**:
    - Description: An array of Mandate Object
    - Value:
      - **Status**:
        - Description: Mandate status ENUM. CREATED | ACTIVE | PAUSED | REVOKED | FAILURE | EXPIREDSee Appendix for status mapping.
        - Tags: String
      - **Start_date**:
        - Description: Mandate start date in UNIX EPOCH timestamp (UTC timezone) format.
        - Tags: String
      - **Rule_value**:
        - Description: Rule value
        - Tags: Integer
      - **Rule_type**:
        - Description: Rule type ON | BEFORE | AFTER
        - Tags: String
      - **Revokable_by_customer**:
        - Description: Revokable by customer : true or false
        - Tags: boolean
      - **Payment_info**:
        - Description: It contains the payment instrument details using which the mandate was created
        - Value:
          - **Payment_method_type**:
            - Description: Payment method type used at the time of creating a mandate
            - Tags: String
          - **Payment_method**:
            - Description: Payment method used at the time of creating a mandate
            - Tags: String
          - **Upi.payer_vp**:
            - Description: Payer VPA used during setting up mandate
            - Tags: String
        - Tags: object
      - **Max_amount**:
        - Description: Max amount of mandate set while creating a mandate
        - Tags: Integer
      - **Mandate_type**:
        - Description: Mandate type: MANDATE(Cards) or EMANDATE (Rest all)
        - Tags: String
      - **Mandate_token**:
        - Description: Mandate token sent by Juspay after mandate creation.
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation.
        - Tags: String
      - **Frequency**:
        - Description: Frequency of mandate set. By default ASPRESENTED
        - Tags: String
      - **End_date**:
        - Description: Mandate end date in UNIX EPOCH timestamp (UTC timezone) format.
        - Tags: String
      - **Currency**:
        - Description: Currency set while creating a mandate
        - Tags: String
      - **Block_fund**:
        - Description: Block fund is true or false
        - Tags: boolean
      - **Amount_rule**:
        - Description: Amount rule : VARIABLE or FIXED
        - Tags: String
    - Tags: Array of objects
  - **Count**:
    - Description: Number of Mandate records to be fetched against a customer_id
    - Tags: Integer
- Tags: JSON

#### Card:
- Value:
  - **Total**:
    - Description: Total Mandate records set against customer_id
    - Tags: Integer
  - **Offset**:
    - Description: Number of Mandate records to be skipped while fetching the list of Mandate records against a customer_idDefault value is 0
    - Tags: Integer
  - **Object**:
    - Description: “list”
    - Tags: String
  - **List**:
    - Description: An array of Mandate Object
    - Value:
      - **Status**:
        - Description: Mandate status ENUM. CREATED | ACTIVE | PAUSED | REVOKED | FAILURE | EXPIREDSee Appendix for status mapping.
        - Tags: String
      - **Payment_info**:
        - Description: It contains the payment instrument details using which the mandate was created
        - Value:
          - **Payment_method_type**:
            - Description: Payment method type used at the time of creating a mandate
            - Tags: String
          - **Payment_method**:
            - Description: Payment method used at the time of creating a mandate
            - Tags: String
          - **Card**:
            - Value:
              - **Using_saved_card**:
                - Tags: Boolean
              - **Saved_to_locker**:
                - Tags: boolean
              - **Name_on_card**:
                - Tags: String
              - **Expiry_year**:
                - Tags: String
              - **Expiry_month**:
                - Tags: String
              - **Card_type**:
                - Tags: String
              - **Card_issuer**:
                - Tags: String
              - **Card_isin**:
                - Tags: String
              - **Card_brand**:
                - Tags: String
            - Tags: object
          - **Auth_type**:
            - Tags: String
        - Tags: object
      - **Max_amount**:
        - Description: Max amount of mandate set while creating a mandate
        - Tags: Integer
      - **Mandate_type**:
        - Description: Mandate type: MANDATE(Cards) or EMANDATE (Rest all)
        - Tags: String
      - **Mandate_debit_token**:
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation.
        - Tags: String
      - **Currency**:
        - Description: Currency set while creating a mandate
        - Tags: String
    - Tags: Array of objects
  - **Count**:
    - Description: Number of Mandate records to be fetched against a customer_id
    - Tags: Integer
- Tags: JSON

#### Net Banking:
- Value:
  - **Total**:
    - Description: Total Mandate records set against customer_id
    - Tags: Integer
  - **Offset**:
    - Description: Number of Mandate records to be skipped while fetching the list of Mandate records against a customer_idDefault value is 0
    - Tags: Integer
  - **Object**:
    - Description: “list”
    - Tags: String
  - **List**:
    - Description: An array of Mandate Object
    - Value:
      - **Status**:
        - Description: Mandate status ENUM. CREATED | ACTIVE | PAUSED | REVOKED | FAILURE | EXPIREDSee Appendix for status mapping.
        - Tags: String
      - **Revokable_by_customer**:
        - Description: Revokable by customer : true or false
        - Tags: boolean
      - **Payment_info**:
        - Description: It contains the payment instrument details using which the mandate was created
        - Value:
          - **Payment_method_type**:
            - Description: Payment method type used at the time of creating a mandate
            - Tags: String
          - **Payment_method**:
            - Description: Payment method used at the time of creating a mandate
            - Tags: String
          - **Bank_details**:
            - Value:
              - **Ifsc**:
                - Description: IFSC Code of the bank.
                - Tags: String
              - **Beneficiary_name**:
                - Description: Account holder name.
                - Tags: String
              - **Bank_name**:
                - Description: Bank name
                - Tags: String
              - **Account_number**:
                - Description: Bank account number
                - Tags: String
            - Tags: object
          - **Auth_type**:
            - Tags: String
        - Tags: object
      - **Max_amount**:
        - Description: Max amount of mandate set while creating a mandate
        - Tags: Integer
      - **Mandate_type**:
        - Description: Mandate type: MANDATE(Cards) or EMANDATE (Rest all)
        - Tags: String
      - **Mandate_token**:
        - Description: Mandate token sent by Juspay after mandate creation.
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation.
        - Tags: String
      - **Frequency**:
        - Description: Frequency of mandate set. By default ASPRESENTED
        - Tags: String
      - **Mandate_debit_token**:
        - Tags: String
      - **Currency**:
        - Description: Currency set while creating a mandate
        - Tags: String
      - **Block_fund**:
        - Description: Block fund is true or false
        - Tags: boolean
      - **Amount_rule**:
        - Description: Amount rule : VARIABLE or FIXED
        - Tags: String
      - **Activated_at**:
        - Description: Time stamp of mandate activation
        - Tags: String
    - Tags: Array of objects
  - **Count**:
    - Description: Number of Mandate records to be fetched against a customer_id
    - Tags: Integer
- Tags: JSON
### 400:

#### status:
- Description: ERROR
- Tags: string

#### error_code:
- Description: INVALID_REQUEST
- Tags: string

#### error_message:
- Description: Customer not found
- Tags: string

#### status_id:
- Tags: integer
